#
# spec file for package rubygem-prawn
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-prawn
Version:        2.4.0
Release:        1.17
%define mod_name prawn
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://prawnpdf.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A fast and nimble PDF generator for Ruby
License:        Ruby AND GPL-2.0-only AND GPL-3.0-only
Group:          Development/Languages/Ruby

%description
Prawn is a fast, tiny, and nimble PDF generator for Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING LICENSE" \
  -f

%gem_packages

%changelog
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.0
  no changelog found
* Tue Sep  8 2020 Dan Čermák <dcermak@suse.com>
  New upstream release 2.3.0
  [#]# PrawnPDF 2.3.0
  [#]## Added OpenType Font Support
  TTFunk gained support for OpenType fonts thanks to great work by Cameron Dutro.
  Now you can use OTF fonts in your documents.
  (Alexander Mankuta)
  [#]## Improved color string validation
  (Brendan Thomas, [#1021](https://github.com/prawnpdf/prawn/pull/1021))
  [#]## Added documentation about document configuration with `Prawn::View`
  (Arnaud Joubay, [#1112](https://github.com/prawnpdf/prawn/pull/1112))
  [#]## Fixed `character_spacing` effect on text width calculation
  Extra spacing was applied to the end of string which resulted in visually
  incorrect center/right alligned text.
  (Matjaz Gregoric, [#1117](https://github.com/prawnpdf/prawn/pull/1117))
  [#]## Fixed instance variable `@italic_angle` not initialized
  (Rostislav Svoboda, [#1095](https://github.com/prawnpdf/prawn/pull/1095))
  [#]## Added a method to delete pages of the document by index
  (David Silveira, [#1092](https://github.com/prawnpdf/prawn/pull/1092))
  [#]## Correctly handle image pathnames
  Prawn used to not close IOs passed to `image`. This prevented file deletion. The
  case is handled correctly now.
  (Guido Gloor Modjib, [#1090](https://github.com/prawnpdf/prawn/pull/1090))
  [#]## Stricter validation of text alignment mode
  (Luciano Sousa, [#1057](https://github.com/prawnpdf/prawn/pull/1057))
  [#]## Fixed `Prawn::View#respond_to_missing?` method signature
  When you use `Prawn::View` mixin to create custom class that extends Prawn's
  functionality, the method `respond_to?` was giving an error when called with a
  missing method.
  (Vitor Arimitsu, [#1065](https://github.com/prawnpdf/prawn/pull/1065))
  [#]## Updated list of supported Rubies
  * Added Ruby 2.6 support
  * Added Ruby 2.7 support
  * Added JRuby 9.2 support
  * Dropped Ruby 2.2, 2.3 & 2.4 support
  * Dropped JRuby 9.1 support
  Ruby 2.2, 2.3 & 2.4 are not supported upstream any more.
  (Alexander Mankuta)
  [#]## Fixed gradient cache key collision
  Packing gradient attributes down to 8-bit values causes collisions when
  generating the SHA1 digest.
  (Paul Jackson, [#1049](https://github.com/prawnpdf/prawn/pull/1049))
  [#]## Unknown font message
  Provide more detail in error message about unknown font.
  (Dan Allen, [#1045](https://github.com/prawnpdf/prawn/pull/1045))
  [#]## Fixed double require
  Remove superfluous pdf-core requires
  (Matt Patterson, [#1032](https://github.com/prawnpdf/prawn/pull/1032)
* Sat Mar 18 2017 coolo@suse.com
- updated to version 2.2.2
  no changelog found
* Thu Mar 16 2017 coolo@suse.com
- updated to version 2.2.1
  no changelog found
* Sun Mar 12 2017 coolo@suse.com
- updated to version 2.2.0
  no changelog found
* Tue Mar  1 2016 coolo@suse.com
- updated to version 2.1.0
  no changelog found
* Thu Jul 16 2015 coolo@suse.com
- updated to version 2.0.2
  no changelog found
* Tue Mar 24 2015 coolo@suse.com
- updated to version 2.0.1
* Fri Feb 27 2015 coolo@suse.com
- updated to version 2.0.0
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.3.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 1.2.1
* Fri Mar 21 2014 coolo@suse.com
- updated to version 1.0.0
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.15.0
* Mon Jan 20 2014 coolo@suse.com
- updated to version 0.14.0
* Sun Jan  5 2014 coolo@suse.com
- updated to version 0.13.1
* Fri Dec 20 2013 coolo@suse.com
- updated to version 0.13.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.12.0
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Mar  1 2010 randybb@gmail.com
- updated to 0.8.4
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 0.7.1
* Thu Dec 24 2009 prusnak@suse.cz
- updated to 0.6.3
* Fri Mar 27 2009 mrueckert@suse.de
- initial package
